Index: general.ent
===================================================================
--- general.ent	(revision bd27eb1322a90814a28e987c2c3067531f70effd)
+++ general.ent	(revision 8dfc5c303b0b32fbae4e69e108ca70fc538c2eec)
@@ -41,10 +41,14 @@
 <!ENTITY lfs-rootd            "../../../../lfs/view/&lfs-versiond;">
 <!ENTITY lfs-dev              "../../../../lfs/view/development">
-<!ENTITY kernel               "http://www.kernel.org/pub/">
+<!ENTITY gnu-http             "https://ftp.gnu.org/gnu">
+<!ENTITY gnu-ftp              "ftp://ftp.gnu.org/gnu">
+<!ENTITY gnupg-http           "https://www.gnupg.org/ftp/gcrypt">
+<!ENTITY gnupg-ftp            "ftp://ftp.gnupg.org/gcrypt">
 <!ENTITY gstreamer-dl         "https://gstreamer.freedesktop.org/src">
-<!ENTITY gnu-alpha-ftp        "ftp://alpha.gnu.org/gnu/">
-<!ENTITY gnu-alpha-http       "http://alpha.gnu.org/gnu/">
-<!ENTITY sourceforge-repo     "http://downloads.sourceforge.net">
-<!ENTITY sourceforge-repo2    "http://sourceforge.net">
+<!ENTITY kernel-dl            "https://www.kernel.org/pub">
+<!ENTITY mozilla-http         "https://archive.mozilla.org/pub">
+<!ENTITY pymodules-dl         "https://files.pythonhosted.org/packages/source">
+<!ENTITY sourceforge-dl       "https://downloads.sourceforge.net">
+
 <!ENTITY gentoo-ftp-repo      "ftp://mirror.ovh.net/gentoo-distfiles/distfiles">
 <!ENTITY fedora-http-repo     "http://pkgs.fedoraproject.org/repo/pkgs">
@@ -54,6 +58,4 @@
 <!ENTITY xorg-download-http   "https://www.x.org/pub/individual">
 <!ENTITY xorg-download-ftp    "ftp://ftp.x.org/pub/individual">
-<!ENTITY mozilla-http         "https://ftp.mozilla.org/pub/mozilla.org">
-<!ENTITY mozilla-ftp          "ftp://ftp.mozilla.org/pub">
 <!ENTITY pypi                 "https://pypi.python.org/pypi">
 
